package com.ruoyi.project.patrol.patrol.mapper;

import java.util.List;
import com.ruoyi.project.patrol.patrol.domain.TPatrolPlan;

/**
 * 检查计划Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-29
 */
public interface TPatrolPlanMapper 
{
    /**
     * 查询检查计划
     * 
     * @param id 检查计划主键
     * @return 检查计划
     */
    public TPatrolPlan selectTPatrolPlanById(Long id);

    /**
     * 查询检查计划列表
     * 
     * @param tPatrolPlan 检查计划
     * @return 检查计划集合
     */
    public List<TPatrolPlan> selectTPatrolPlanList(TPatrolPlan tPatrolPlan);

    /**
     * 新增检查计划
     * 
     * @param tPatrolPlan 检查计划
     * @return 结果
     */
    public int insertTPatrolPlan(TPatrolPlan tPatrolPlan);

    /**
     * 修改检查计划
     * 
     * @param tPatrolPlan 检查计划
     * @return 结果
     */
    public int updateTPatrolPlan(TPatrolPlan tPatrolPlan);

    /**
     * 删除检查计划
     * 
     * @param id 检查计划主键
     * @return 结果
     */
    public int deleteTPatrolPlanById(Long id);

    /**
     * 批量删除检查计划
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTPatrolPlanByIds(Long[] ids);
}
